### Hierarchy

- AsyncGeneratorFunction

### Callable

- AsyncGeneratorFunction(...args: any[]): AsyncGenerator<unknown, any, unknown>

- Creates a new AsyncGenerator object.

  #### Parameters

  - ##### Rest ...args: any[]

    A list of arguments the function accepts.

  #### Returns AsyncGenerator<unknown, any, unknown>

## Index

### Constructors

- constructor

### Properties

- length
- name
- prototype

## Constructors

### constructor

- new AsyncGeneratorFunction(...args: any[]): AsyncGenerator<unknown, any, unknown>

- Creates a new AsyncGenerator object.

  #### Parameters

  - ##### Rest ...args: any[]

    A list of arguments the function accepts.

  #### Returns AsyncGenerator<unknown, any, unknown>

## Properties

### Readonly length

length: number

The length of the arguments.

### Readonly name

name: string

Returns the name of the function.

### Readonly prototype

prototype: AsyncGenerator<unknown, any, unknown>

A reference to the prototype.

Generated using TypeDoc